For the complete BrainAPI documentation index, see llms.txt. A markdown version of any docs page is available by appending .md to its URL. Docs MCP: /docs/mcp.
BrainAPI Tasks API
Inspect asynchronous task status and cancel supported ingestion runs.
Get Tasks. See the BrainAPI developer documentation for request, response, authentication, and retry semantics.
BrainAPI personal access token.
In: header
Header Parameters
Preferred brain scope. Query/body/multipart fallbacks remain supported.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/tasks/"{ "tasks": [ { "error": "string", "id": "string", "result": null, "stage": "string", "status": "string", "task_id": "string" } ]}Get the result of a task by its ID.
BrainAPI personal access token.
In: header
Path Parameters
Header Parameters
Preferred brain scope. Query/body/multipart fallbacks remain supported.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/tasks/string"{ "error": "string", "id": "string", "result": null, "stage": "string", "status": "string", "task_id": "string"}Get Activity. See the BrainAPI developer documentation for request, response, authentication, and retry semantics.
BrainAPI personal access token.
In: header
Path Parameters
Query Parameters
0 <= value01 <= value <= 10050Header Parameters
Preferred brain scope. Query/body/multipart fallbacks remain supported.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/tasks/string/activity"{ "property1": null, "property2": null}Cancel Ingestion. See the BrainAPI developer documentation for request, response, authentication, and retry semantics.
BrainAPI personal access token.
In: header
Path Parameters
Header Parameters
Preferred brain scope. Query/body/multipart fallbacks remain supported.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/tasks/string/cancel" \ -H "Content-Type: application/json" \ -d '{ "mode": "keep_saved" }'{ "mode": "keep_saved", "status": "cancelling", "task_id": "string"}